unit iz_Input;

interface
uses
  windows,
  iz_types;

type
  izInput = class
    X,Y : word;
    Keys : array[0..255] of bool;
    mKeys : array[0..10] of bool;
    LastKey : byte;
    lastChar : char;

    constructor Create();
    procedure Clear();
  end;

var
  //**Bounds**\\
  iBoundsLeft, iBoundsTop, iBoundsWidth, iBoundsHeight, FBoundsSet : word;

procedure iz_SetMouseBound(aLeft, aTop, aWidth, aHeight: Integer);
implementation
uses
  iz_gfx;

constructor izInput.Create();
begin
end;

procedure izInput.Clear();
var
  i : word;
begin
  X := 0;
  Y := 0;
  for i := 0 to 261 do
    Keys[i] := false;
  LastKey := 0;
  LastChar := #0;
end;

{==============================================================================
 установка прямоугольника, ограничивающего движение курсора мыши
==============================================================================}

procedure iz_SetMouseBound(aLeft, aTop, aWidth, aHeight: Integer);
begin
 iBoundsLeft   := aLeft;
 iBoundsTop    := aTop;
 iBoundsWidth  := aWidth;
 iBoundsHeight := aHeight;
 //iBoundsSet    := True;
end;

end.
